Magick::DrawableColor Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableColor:
[legend]
Collaboration diagram for Magick::DrawableColor:
[legend]

## Public Member Functions

| DrawableColor (double x_, double y_, PaintMethod paintMethod_)
| ~DrawableColor (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | paintMethod (PaintMethod paintMethod_)
PaintMethod | paintMethod (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 670 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableColor()

Magick::DrawableColor::DrawableColor | ( | double | x_,
|  | double | y_,
|  | PaintMethod | paintMethod_
| ) |  |

inline

Definition at line 673 of file Drawable.h.

## ~DrawableColor()

Magick::DrawableColor::~DrawableColor | ( | void |  | ) |

Definition at line 471 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableColor::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 478 of file Drawable.cpp.

## operator()()

void Magick::DrawableColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 474 of file Drawable.cpp.

## paintMethod() [1/2]

void Magick::DrawableColor::paintMethod | ( | PaintMethod | paintMethod_ | ) |

inline

Definition at line 706 of file Drawable.h.

## paintMethod() [2/2]

PaintMethod Magick::DrawableColor::paintMethod | ( | void |  | ) | const

inline

Definition at line 710 of file Drawable.h.

## x() [1/2]

void Magick::DrawableColor::x | ( | double | x_ | ) |

inline

Definition at line 688 of file Drawable.h.

## x() [2/2]

double Magick::DrawableColor::x | ( | void |  | ) | const

inline

Definition at line 692 of file Drawable.h.

## y() [1/2]

void Magick::DrawableColor::y | ( | double | y_ | ) |

inline

Definition at line 697 of file Drawable.h.

## y() [2/2]

double Magick::DrawableColor::y | ( | void |  | ) | const

inline

Definition at line 701 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp